import { PayloadAction } from '@reduxjs/toolkit';
import { IAddBreakpointAction, IAddExpressionAction, IAddSessionAction, IBreakpointDecoration, IClearBreakpointsAction, IDebuggerData, IDebuggerSession, IRemoveBreakpointAction, IRemoveExpressionAction, IRemoveSessionAction, IRenameExpressionAction, ISaveExpressionsAction, ISetActiveLineAction, ISetBreakpointsAction, ISetExpressionAction, ISetSourceContentAction, ISetCallChainVariablesAction, IUpdateSessionAction, ISetExpressionVariablesAction, IDebuggerMeta, ISetDebuggerMetaAction, IExpression, IBreakpoint, IRemoveAllExpressionsAction, IUpdateExpressionAtAction, IClearBreakpointsExceptAction, IToggleBreakpointAction, ISetCommonVariablesAction, IToggleBreakpointsInFileAction, IUpdateBreakpointsAction } from './types';
export interface IDebuggerState {
    meta: IDebuggerMeta;
    list: IDebuggerData[];
    sessions: IDebuggerSession[];
    expressions: IExpression[];
}
declare const stateSlice: import('@reduxjs/toolkit').Slice<IDebuggerState, {
    addBreakpointDecoration(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IAddBreakpointAction): void;
    removeBreakpointDecoration(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IRemoveBreakpointAction): void;
    setBreakpointsDecoration(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: ISetBreakpointsAction): void;
    updateBreakpointsDecoration(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IUpdateBreakpointsAction): void;
    clearBreakpoints(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IClearBreakpointsAction): void;
    clearBreakpointsExcept(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IClearBreakpointsExceptAction): void;
    clearAllBreakpoints(state: import('immer/dist/internal').WritableDraft<IDebuggerState>): void;
    toggleBreakpoint(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IToggleBreakpointAction): void;
    toggleBreakpointsInFile(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IToggleBreakpointsInFileAction): void;
    disableAllBreakpoints(state: import('immer/dist/internal').WritableDraft<IDebuggerState>): void;
    enableAllBreakpoints(state: import('immer/dist/internal').WritableDraft<IDebuggerState>): void;
    setActiveLine(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: ISetActiveLineAction): void;
    addExpression(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IAddExpressionAction): void;
    removeExpression(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IRemoveExpressionAction): void;
    removeAllExpressions(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IRemoveAllExpressionsAction): void;
    renameExpression(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IRenameExpressionAction): void;
    setExpression(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: ISetExpressionAction): void;
    updateExpressionAt(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IUpdateExpressionAtAction): void;
    saveExpressions(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: ISaveExpressionsAction): void;
    addSession(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IAddSessionAction): void;
    updateSession(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IUpdateSessionAction): void;
    removeSession(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: IRemoveSessionAction): void;
    removeSessionByIndex(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: PayloadAction<number>): void;
    setSessions(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: PayloadAction<IDebuggerSession[]>): void;
    setCommonVariables(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: ISetCommonVariablesAction): void;
    setCallChainVariables(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: ISetCallChainVariablesAction): void;
    setExpressionVariables(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: ISetExpressionVariablesAction): void;
    setSourceContent(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: ISetSourceContentAction): void;
    setDebuggerMeta(state: import('immer/dist/internal').WritableDraft<IDebuggerState>, action: ISetDebuggerMetaAction): void;
}, "debugger">;
export declare const addBreakpointDecoration: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    filePath: string;
    fileType: import('./types').IDebuggerFileType;
    methodName: string;
    className?: string;
    ext: import('@ws-ui/shared').DebuggerFileExtension;
    source: import('@ws-ui/shared').ISource;
    breakpoint: IBreakpointDecoration;
}, "debugger/addBreakpointDecoration">, removeBreakpointDecoration: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    filePath: string;
    methodName: string;
    line: number;
    offset?: number;
    type?: import('./types').BreakpointType;
}, "debugger/removeBreakpointDecoration">, setBreakpointsDecoration: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    filePath: string;
    fileType: import('./types').IDebuggerFileType;
    methodName: string;
    className?: string;
    ext: import('@ws-ui/shared').DebuggerFileExtension;
    source: import('@ws-ui/shared').ISource;
    breakpoints: IBreakpoint[];
    offset?: number;
    type?: import('./types').BreakpointType;
    clearDraft?: boolean;
    merge?: boolean;
}, "debugger/setBreakpointsDecoration">, updateBreakpointsDecoration: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    filePath: string;
    fileType: import('./types').IDebuggerFileType;
    methodName: string;
    className?: string;
    breakpoints: IBreakpoint[];
    type?: import('./types').BreakpointType;
    merge?: boolean;
}, "debugger/updateBreakpointsDecoration">, clearBreakpoints: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    filePath: string;
    type?: import('./types').BreakpointType | "any";
}, "debugger/clearBreakpoints">, clearBreakpointsExcept: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    exceptedFilePath: string;
    type?: import('./types').BreakpointType | "any";
}, "debugger/clearBreakpointsExcept">, clearAllBreakpoints: import('@reduxjs/toolkit').ActionCreatorWithoutPayload<"debugger/clearAllBreakpoints">, toggleBreakpoint: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    filePath: string;
    methodName: string;
    line: number;
    offset?: number;
    disabled: boolean;
}, "debugger/toggleBreakpoint">, toggleBreakpointsInFile: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    filePath: string;
    methodName: string;
    disabled: boolean;
}, "debugger/toggleBreakpointsInFile">, disableAllBreakpoints: import('@reduxjs/toolkit').ActionCreatorWithoutPayload<"debugger/disableAllBreakpoints">, enableAllBreakpoints: import('@reduxjs/toolkit').ActionCreatorWithoutPayload<"debugger/enableAllBreakpoints">, setActiveLine: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
    line: number;
    highlight?: boolean;
}, "debugger/setActiveLine">, addExpression: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
    label: string;
    save?: boolean;
}, "debugger/addExpression">, renameExpression: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
    index: number;
    replacement: string;
    save?: boolean;
}, "debugger/renameExpression">, removeExpression: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
    index: number;
    save?: boolean;
}, "debugger/removeExpression">, removeAllExpressions: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
    save?: boolean;
}, "debugger/removeAllExpressions">, setExpression: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
    expression: IExpression & {
        index: number;
    };
}, "debugger/setExpression">, updateExpressionAt: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
    index: number;
    value: IExpression["result"];
}, "debugger/updateExpressionAt">, saveExpressions: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    expressions: IExpression[];
}, "debugger/saveExpressions">, addSession: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
    channelId: number;
    stackFrames: import('./types').IStackFrame[];
    exceptions?: import('./types').IException[];
}, "debugger/addSession">, updateSession: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
    changes: Partial<IDebuggerSession>;
}, "debugger/updateSession">, removeSession: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
}, "debugger/removeSession">, removeSessionByIndex: import('@reduxjs/toolkit').ActionCreatorWithPayload<number, "debugger/removeSessionByIndex">, setSessions: import('@reduxjs/toolkit').ActionCreatorWithPayload<IDebuggerSession[], "debugger/setSessions">, setCallChainVariables: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
    frameId: number;
    variablesReference: number;
    variables: import('./types').IVariable[];
}, "debugger/setCallChainVariables">, setExpressionVariables: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
    variablesReference: number;
    variables: import('./types').IVariable[];
}, "debugger/setExpressionVariables">, setCommonVariables: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    key: import('./types').CommonDebuggerVariablesKey;
    threadId: number;
    frameId: number;
    variablesReference: number;
    variables: import('./types').IVariable[];
}, "debugger/setCommonVariables">, setSourceContent: import('@reduxjs/toolkit').ActionCreatorWithPayload<{
    threadId: number;
    content: string;
}, "debugger/setSourceContent">, setDebuggerMeta: import('@reduxjs/toolkit').ActionCreatorWithPayload<IDebuggerMeta, "debugger/setDebuggerMeta">;
export default stateSlice;
